## r-cran-stringr 1.0.0

=== DESCRIPTION ===
Package: stringr
Version: 1.0.0
Title: Simple, Consistent Wrappers for Common String Operations
Description: A consistent, simple and easy to use set of wrappers around the
    fantastic 'stringi' package. All function and argument names (and positions)
    are consistent, all functions deal with "NA"'s and zero length vectors
    in the same way, and the output from one function is easy to feed into
    the input of another.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre", "cph")),
    person("RStudio", role = "cph")
    )
License: GPL-2
Depends: R (>= 2.14)
Imports: stringi (>= 0.4.1), magrittr
Suggests: testthat, knitr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-04-29 12:46:34 UTC; hadley
Author: Hadley Wickham [aut, cre, cph],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2015-04-30 11:48:24

## r-cran-stringr 0.6.0

=== debian/changelog ===
r-cran-stringr (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #657996)

 -- Carlos Borroto <carlos.borroto@gmail.com>  Tue, 24 Jan 2012 14:50:41 -0500

=== debian/control ===
Source: r-cran-stringr
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>
Build-Depends: debhelper (>= 8.0.0), cdbs, r-base-dev (>= 2.14.1), r-cran-plyr
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/debian-med/r-cran-stringr.git
Vcs-Browser: http://git.debian.org/?p=debian-med/r-cran-stringr.git;a=summary

Package: r-cran-stringr
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-plyr
Description: Make it easier to work with strings
 stringr is a set of simple wrappers that make R's string functions more
 consistent, simpler and easier to use. It does this by ensuring that:
 function and argument names (and positions) are consistent, all
 functions deal with NA's and zero length character appropriately, and
 the output data structures from each function matches the input data
 structures of other functions.

## r-cran-stringr 0.6.2

=== debian/changelog ===
r-cran-stringr (0.6.2-1) unstable; urgency=low

  [Dirk Eddelbuettel]
  * Upgraded to current upstream version 0.6.2
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * (Re-)building with R 3.0.0

  [Andreas Tille]
  * debian/control: Add Homepage field

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Apr 2013 20:34:11 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Carlos Borroto <carlos.borroto@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), cdbs, r-base-dev (>= 2.14.1), r-cran-plyr
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), cdbs, r-base-dev (>= 3.0.0), r-cran-plyr
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-med/r-cran-stringr.git
 Vcs-Browser: http://git.debian.org/?p=debian-med/r-cran-stringr.git;a=summary
+Homepage: http://cran.r-project.org/web/packages/stringr/
 
 Package: r-cran-stringr
 Architecture: all

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/stringr_([-0-9\.]*)\.tar\.gz

## r-cran-stringr 1.0.0

=== debian/changelog ===
r-cran-stringr (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * no file NEWS to be installed any more

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2015 11:32:44 +0100

r-cran-stringr (0.6.2-2) unstable; urgency=medium

  * cme fix dpkg-control
  * debhelper 9
  * remove dependency from r-cran-plyr
    Closes: #748985

 -- Andreas Tille <tille@debian.org>  Fri, 23 May 2014 11:23:24 +0200

=== debian/control ===
Source: r-cran-stringr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-magrittr,
               r-cran-stringi
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-stringr.git
Vcs-Git: git://anonscm.debian.org/debian-med/r-cran-stringr.git
Homepage: http://cran.r-project.org/web/packages/stringr/

Package: r-cran-stringr
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-magrittr,
         r-cran-stringi
Description: Make it easier to work with strings
 stringr is a set of simple wrappers that make R's string functions more
 consistent, simpler and easier to use. It does this by ensuring that:
 function and argument names (and positions) are consistent, all
 functions deal with NA's and zero length character appropriately, and
 the output data structures from each function matches the input data
 structures of other functions.

## r-cran-stringr 1.1.0

=== debian/changelog ===
r-cran-stringr (1.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2017 14:45:29 +0200

r-cran-stringr (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * cme fix dpkg-control
  * Canonical homepage for CRAN
  * DEP5
  * Removed Carlos Borroto from Uploaders
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 12 Nov 2016 08:39:42 +0100

r-cran-stringr (1.0.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 19:12:07 +0200

=== debian/control ===
Source: r-cran-stringr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-stringi
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-stringr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-stringr.git
Homepage: https://cran.r-project.org/package=stringr

Package: r-cran-stringr
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Make it easier to work with strings
 stringr is a set of simple wrappers that make R's string functions more
 consistent, simpler and easier to use. It does this by ensuring that:
 function and argument names (and positions) are consistent, all
 functions deal with NA's and zero length character appropriately, and
 the output data structures from each function matches the input data
 structures of other functions.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/stringr_([-0-9\.]*)\.tar\.gz

## r-cran-stringr 1.3.0

=== DESCRIPTION ===
Package: stringr
Title: Simple, Consistent Wrappers for Common String Operations
Version: 1.3.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", c("aut", "cre", "cph")),
    person("RStudio", role = c("cph", "fnd"))
    )
Description: A consistent, simple and easy to use set of wrappers around the
    fantastic 'stringi' package. All function and argument names (and positions)
    are consistent, all functions deal with "NA"'s and zero length vectors
    in the same way, and the output from one function is easy to feed into
    the input of another.
License: GPL-2 | file LICENSE
URL: http://stringr.tidyverse.org, https://github.com/tidyverse/stringr
BugReports: https://github.com/tidyverse/stringr/issues
Depends: R (>= 3.1)
Imports: glue, magrittr, stringi (>= 1.1.6)
Suggests: covr, htmltools, htmlwidgets, knitr, rmarkdown, testthat
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-29 22:45:15 UTC; hadley
Author: Hadley Wickham [aut, cre, cph],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2018-02-19 19:47:14 UTC

=== debian/changelog ===
r-cran-stringr (1.3.0-1ubuntu1) bionic; urgency=medium

  * Add autopkgtest dependencies: r-cran-htmltools, r-cran-htmlwidgets
  * Run tests in C.UTF-8 instead of C locale

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 06 Mar 2018 16:25:25 +0000

r-cran-stringr (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Secure URI in watch file
  * New Build-Depends: r-cran-glue
  * New versioned Build-Depends: r-cran-stringi (>= 1.1.6)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 09:56:02 +0100

r-cran-stringr (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.1
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 23:19:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: r-cran-stringr
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
+               r-cran-glue,
                r-cran-magrittr,
-               r-cran-stringi
-Standards-Version: 3.9.8
+               r-cran-stringi (>= 1.1.6)
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-stringr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-stringr.git
 Homepage: https://cran.r-project.org/package=stringr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-htmltools, r-cran-htmlwidgets
Restrictions: allow-stderr

## r-cran-stringr 1.3.1

=== debian/changelog ===
r-cran-stringr (1.3.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 14:21:58 +0200

r-cran-stringr (1.3.1-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Add test Depends: r-cran-htmltools
                      r-cran-htmlwidgets
  * Run tests in C.UTF-8 instead of C locale

  [ Andreas Tille ]
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 08:24:42 +0200

=== debian/control ===
Source: r-cran-stringr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-glue,
               r-cran-magrittr,
               r-cran-stringi (>= 1.1.7)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
Homepage: https://cran.r-project.org/package=stringr

Package: r-cran-stringr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Make it easier to work with strings
 stringr is a set of simple wrappers that make R's string functions more
 consistent, simpler and easier to use. It does this by ensuring that:
 function and argument names (and positions) are consistent, all
 functions deal with NA's and zero length character appropriately, and
 the output data structures from each function matches the input data
 structures of other functions.

## r-cran-stringr 1.4.0

=== debian/changelog ===
r-cran-stringr (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Feb 2019 07:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-glue,
                r-cran-magrittr,
                r-cran-stringi (>= 1.1.7)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
 Homepage: https://cran.r-project.org/package=stringr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/stringr_([-0-9\.]*)\.tar\.gz

## r-cran-stringr 1.4.1

=== debian/changelog ===
r-cran-stringr (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.1
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Fix with cme

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Aug 2022 22:55:19 +0530

r-cran-stringr (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Sat, 16 May 2020 20:59:50 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-glue,
                r-cran-magrittr,
-               r-cran-stringi (>= 1.1.7)
-Standards-Version: 4.3.0
+               r-cran-stringi
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
 Homepage: https://cran.r-project.org/package=stringr
+Rules-Requires-Root: no
 
 Package: r-cran-stringr
 Architecture: all

## r-cran-stringr 1.5.0

=== DESCRIPTION ===
Package: stringr
Title: Simple, Consistent Wrappers for Common String Operations
Version: 1.5.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre", "cph"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: A consistent, simple and easy to use set of wrappers around
    the fantastic 'stringi' package. All function and argument names (and
    positions) are consistent, all functions deal with "NA"'s and zero
    length vectors in the same way, and the output from one function is
    easy to feed into the input of another.
License: MIT + file LICENSE
URL: https://stringr.tidyverse.org,
        https://github.com/tidyverse/stringr
BugReports: https://github.com/tidyverse/stringr/issues
Depends: R (>= 3.3)
Imports: cli, glue (>= 1.6.1), lifecycle (>= 1.0.3), magrittr, rlang
        (>= 1.0.0), stringi (>= 1.5.3), vctrs
Suggests: covr, htmltools, htmlwidgets, knitr, rmarkdown, testthat (>=
        3.0.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-12-01 20:53:42 UTC; hadleywickham
Author: Hadley Wickham [aut, cre, cph],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-12-02 10:20:02 UTC

=== debian/changelog ===
r-cran-stringr (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 15:17:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: r-cran-stringr
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
+Homepage: https://cran.r-project.org/package=stringr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-glue,
+               r-cran-cli,
+               r-cran-glue (>= 1.6.1),
+               r-cran-lifecycle (>= 1.0.3),
                r-cran-magrittr,
-               r-cran-stringi
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
-Homepage: https://cran.r-project.org/package=stringr
-Rules-Requires-Root: no
+               r-cran-rlang (>= 1.0.0),
+               r-cran-stringi (>= 1.5.3),
+               r-cran-vctrs
 
 Package: r-cran-stringr
 Architecture: all

## r-cran-stringr 1.5.1

=== debian/changelog ===
r-cran-stringr (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:12:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,9 @@
 Source: r-cran-stringr
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
-Homepage: https://cran.r-project.org/package=stringr
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,8 +12,13 @@
                r-cran-lifecycle (>= 1.0.3),
                r-cran-magrittr,
                r-cran-rlang (>= 1.0.0),
-               r-cran-stringi (>= 1.5.3),
-               r-cran-vctrs
+               r-cran-stringi,
+               r-cran-vctrs (>= 0.4.0)
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
+Homepage: https://cran.r-project.org/package=stringr
+Rules-Requires-Root: no
 
 Package: r-cran-stringr
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-dplyr,
        r-cran-htmltools,
        r-cran-htmlwidgets,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble
Restrictions: allow-stderr

## r-cran-stringr 1.6.0

=== debian/changelog ===
r-cran-stringr (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Document the MIT relicensing of 1.5.0

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Feb 2026 16:44:20 +0900

=== debian/control ===
Source: r-cran-stringr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-glue,
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-rlang,
 r-cran-stringi,
 r-cran-vctrs,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-stringr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-stringr.git
Homepage: https://cran.r-project.org/package=stringr
Rules-Requires-Root: no

Package: r-cran-stringr
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Make it easier to work with strings
 stringr is a set of simple wrappers that make R's string functions more
 consistent, simpler and easier to use. It does this by ensuring that:
 function and argument names (and positions) are consistent, all
 functions deal with NA's and zero length character appropriately, and
 the output data structures from each function matches the input data
 structures of other functions.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-dplyr,
 r-cran-htmltools,
 r-cran-htmlwidgets,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
 r-cran-tibble,
